curl https://production.methodfi.com/accounts/acc_aEBDiLxiR8bqc/updates \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts('acc_aEBDiLxiR8bqc')
.updates
.create();
response = method
.accounts('acc_aEBDiLxiR8bqc')
.updates
.create()
{
"id": "upt_NYV5kfjskTTCJ",
"status": "pending",
"account_id": "acc_aEBDiLxiR8bqc",
"source": "direct",
"type": "credit_card",
"credit_card": null,
"error": null,
"created_at": "2024-03-20T04:43:21.434Z",
"updated_at": "2024-03-20T04:43:21.655Z"
}
Updates
Create an Update
POST
/
accounts
/
{acc_id}
/
updates
curl https://production.methodfi.com/accounts/acc_aEBDiLxiR8bqc/updates \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts('acc_aEBDiLxiR8bqc')
.updates
.create();
response = method
.accounts('acc_aEBDiLxiR8bqc')
.updates
.create()
{
"id": "upt_NYV5kfjskTTCJ",
"status": "pending",
"account_id": "acc_aEBDiLxiR8bqc",
"source": "direct",
"type": "credit_card",
"credit_card": null,
"error": null,
"created_at": "2024-03-20T04:43:21.434Z",
"updated_at": "2024-03-20T04:43:21.655Z"
}
Creates a new Update request to retrieve the Account’s latest details (balance, due dates, apr, etc) in real-time
Operation Type: | Webhook Payload.
Returns
Returns an Update object.curl https://production.methodfi.com/accounts/acc_aEBDiLxiR8bqc/updates \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts('acc_aEBDiLxiR8bqc')
.updates
.create();
response = method
.accounts('acc_aEBDiLxiR8bqc')
.updates
.create()
{
"id": "upt_NYV5kfjskTTCJ",
"status": "pending",
"account_id": "acc_aEBDiLxiR8bqc",
"source": "direct",
"type": "credit_card",
"credit_card": null,
"error": null,
"created_at": "2024-03-20T04:43:21.434Z",
"updated_at": "2024-03-20T04:43:21.655Z"
}
⌘I